using System.Collections;
using System.Collections.Generic;
using General.Mediator;
using NUnit.Framework;
using UnityEngine;
using UnityEngine.TestTools;

namespace IAP.Test
{
    public class MediatorIAP : MonoBehaviour
    {
        [UnityTest, Order(0)]
        public IEnumerator IAPComponentRegistrationMediator()
        {
            var gameObject = new GameObject("IAP Mediator");
            var iap = gameObject.AddComponent<IAPComponent>();
            yield return new WaitForSeconds(1);
            if (MC.GetSingleComponent(this, out IIAP value)) 
                Assert.Pass(nameof(IAPComponentRegistrationMediator));
            else
                Assert.Fail(nameof(IAPComponentRegistrationMediator));
        }
    }
    
}
